r2550 - jhalfs/branches/experimental/LFS

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Thu Apr 13 13:13:25 PDT 2006


Author: manuel
Date: 2006-04-13 14:13:24 -0600 (Thu, 13 Apr 2006)
New Revision: 2550

Modified:
   jhalfs/branches/experimental/LFS/master.sh
Log:
Generating separate final system scripts for each iteration.

Modified: jhalfs/branches/experimental/LFS/master.sh
===================================================================
--- jhalfs/branches/experimental/LFS/master.sh	2006-04-13 19:48:56 UTC (rev 2549)
+++ jhalfs/branches/experimental/LFS/master.sh	2006-04-13 20:13:24 UTC (rev 2550)
@@ -145,17 +145,26 @@
 #----------------------------#
 chapter6_Makefiles() {
 #----------------------------#
-  # Set N and chapter6 for iteration targets
+  # Set envars and scripts for iteration targets
   if [[ -z "$1" ]] ; then
     local N=""
   else
     local N=-build_$1
     local chapter6=""
+    mkdir chapter06$N
+    cp chapter06/* chapter06$N
+    for script in chapter06$N/* ; do
+      sed -e 's/ln -sv/&f/g' \
+          -e 's/mv -v/&f/g' \
+          -e 's/rm -v/&f/g' \
+          -e 's/mkdir -v/&p/g' \
+          -e 's/mknod -m.*/& || true/' -i ${script}
+    done
   fi
 
   echo "${tab_}${GREEN}Processing... ${L_arrow}Chapter6$N${R_arrow}"
 
-  for file in chapter06/* ; do
+  for file in chapter06$N/* ; do
     # Keep the script file name
     this_script=`basename $file`
 




More information about the alfs-log mailing list